<?php
			session_start();

			require_once("./model/gestion_model.php");
			require_once("./model/gestion_model2.php");
			require_once("./model/reporte_model3.php");

			date_default_timezone_set("America/Lima");

			$ges = new gestion_model();
			$ges2 = new gestion_model2();

            $id = $_GET['id'];
            $codigo = $_GET['codigo'];
			$productos = $ges->get_temporal_series($id);
            $contratas = $ges->get_contratas();
            $almacen_ccosto = $ges->get_almacen_ccosto_cc(explode( ' - ', $_SESSION['almacen_ccosto'] )[1]);

			// SESIÓN INICIADA

			if(isset($_SESSION['id_usuario_almacen'])){

				require_once("./view/solicitud_series_devolucion_empresa.phtml");
				
			}

			if(isset($_POST['GESTIONAR'])){

                $i = 0;
                
                require_once("./view/cargando.phtml");
        
                if($codigo == 1){

                    foreach ($_POST['sku'] as $val) {

                        $serie = $ges->get_serie_especifica($_POST['serie'][$i]);

                        if($serie['estado_estado'] == 1){
                            $resultado = $ges->update_cantidad_almacen_disponible($serie['id_producto'],$_POST['serie'][$i]);
                        }
                        if($serie['estado_estado'] == 2){
                            $resultado = $ges->update_cantidad_almacen_merma($serie['id_producto'],$_POST['serie'][$i]);
                        }
                        if($serie['estado_estado'] == 3){
                            $resultado = $ges->update_cantidad_almacen_malogrado($serie['id_producto'],$_POST['serie'][$i]);
                        }

                        
                        $i++;

                    }
                    if($i == 0){
                        echo'<script type="text/javascript">alert("NO HAS SELECCIONADO NINGUN PRODUCTO");window.location.href="solicitud_productos_empresa.php?id=1";</script>';
                    }else{
                        echo'<script type="text/javascript">alert("SE GESTIONO CORRECTAMENTE");window.location.href="solicitud_productos_empresa.php?id=1";</script>';
                    }
                    
                }

                if($codigo == 2 || $codigo == 3){

                    if($codigo == 2 ){
                        $plantilla = $ges->set_requerimiento_traspaso_almacen($_POST['acd'],$_POST['identificacion'],1,2);
                       
                    }
                    if($codigo == 3 ){
                        $plantilla = $ges->set_requerimiento_traspaso_almacen($_POST['acd'],$_POST['identificacion'],1,3);
                    }

                    foreach ($_POST['sku'] as $val) {

                        $serie = $ges->get_serie_especifica($_POST['serie'][$i]);

                        if($serie['estado_estado'] == 1){
                            $resultado = $ges->set_requerimiento_traspaso_almacen_detalle($plantilla['id_solicitud_traspaso_almacen'], $serie['id_producto'],1,$_POST['serie'][$i],1);
                        }
                        if($serie['estado_estado'] == 2){
                            $resultado = $ges->set_requerimiento_traspaso_almacen_detalle($plantilla['id_solicitud_traspaso_almacen'], $serie['id_producto'],1,$_POST['serie'][$i],2);
                        }
                        if($serie['estado_estado'] == 3){
                            $resultado = $ges->set_requerimiento_traspaso_almacen_detalle($plantilla['id_solicitud_traspaso_almacen'], $serie['id_producto'],1,$_POST['serie'][$i],3);
                        }

                        
                        $i++;

                    }

                    if($codigo == 2 ){
                        if($i == 0){
                            echo'<script type="text/javascript">alert("NO HAS SELECCIONADO NINGUN PRODUCTO");window.location.href="solicitud_productos_empresa.php?id=2";</script>';
                        }else{
                            echo'<script type="text/javascript">alert("SE GESTIONO CORRECTAMENTE");window.location.href="solicitud_productos_empresa.php?id=2";</script>';
                        }
                        
                    }
                    if($codigo == 3 ){
                        if($i == 0){
                            echo'<script type="text/javascript">alert("NO HAS SELECCIONADO NINGUN PRODUCTO");window.location.href="solicitud_productos_empresa.php?id=3";</script>';
                        }else{
                            echo'<script type="text/javascript">alert("SE GESTIONO CORRECTAMENTE");window.location.href="solicitud_productos_empresa.php?id=3";</script>';
                        }
                    }
                   
                }
            }
                

			


?>